Get global checkpoints
- GET /{index}/_fleet/global_checkpoints
Get the current global checkpoints for an index. This API is designed for internal use by the Fleet server project.
Query parameters
-
wait_for_advanceboolean · default: false -
A boolean value which controls whether to wait (until the timeout) for the global checkpoints to advance past the provided
checkpoints. -
wait_for_indexboolean · default: false -
A boolean value which controls whether to wait (until the timeout) for the target index to exist and all primary shards be active. Can only be true when
wait_for_advanceis true. -
checkpointsnumber · default: [] -
A comma separated list of previous global checkpoints. When used in combination with
wait_for_advance, the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list will cause Elasticsearch to immediately return the current global checkpoints.